exp=0
mark=memory_train$exp
logs=logs/$mark
output=outputs/$mark/
tb_logs=tensorboard/$mark/
pt_data=pt_data/
mm_dir=saved_memory/$mark/

mkdir -p  ${output} ${tb_logs} $pt_data logs

# * Running experiments
echo "Begin Training!"
python MA_MAML.py  \
    --use_sgd  --use_memory=true \
    --cuda  --model trs --batch_size=16 \
    --lr 0.01 --meta_lr 0.0003 --meta_batch_size 16 --meta_optimizer adam \
    --pretrain_emb  --fix_dialnum_train=true \
    --emb_dim 300 --hidden_dim 300 --weight_sharing=true \
    --save_path $output --save_tb $tb_logs --save_pt_data $pt_data \
    --adapt_num=20 --min_iter=0 --step_apart=100 \
    --memory_path=$mm_dir --store_ratio=0.8 --pointer_gen=true \
    --rnn_hidden=1024  --neighbor_num=10 --k_shot=1 --other_lr=0.01 >> ${logs}.log 2>> ${logs}.err 
